Summary:	DHCPXD Daemon
Name:		dhcpxd
Version:	1.0.3
Release:	%mkrel 36
License:	GPLv2
Group:		System/Servers
Source:		ftp://ftp.guido.yi.org:50021/dhcpxd-%{version}.tar.bz2
Patch2:		dhcpxd-1.0.3-gcc-3.3.patch
Patch3:		dhcpxd-1.0.3-64bit-fixes.patch
Patch4:		dhcpxd-1.0.3-varargs.patch
Patch5:		dhcpxd-1.0.3-extra.patch
Patch6:		dhcpxd-glibc28_fix.diff

%description
The primary goal of this DHCP client is to conform to the DHCP specification
defined in RFC2131 which is now the draft standard. However, the client can
be told how to behave. Additionally, the client supports all-in-one-process
session management as well as a process per session. It may also be used to
masquerade IP leases and has the capability of running on interface aliases.
Finally, perhaps the most advanced feature of the client is that all the
configuration that is required for setting up interfaces is in scripts that
are run at the appropriate times. 

%prep

%setup -q
%patch -P 2 -p1 -b .gcc3.3
%patch -P 3 -p1 -b .64bit-fixes
%patch -P 4 -p1 -b .varargs
%patch -P 5 -p1 -b .extra
%patch -P 6 -p0 -b .glibc28_fix

%build
%configure
%ifnarch alpha
perl -pi -e 's/-Wall/\$(RPM_OPT_FLAGS) -Wall/g;' Makefile
%endif

%ifnarch alpha
%make_build RPM_OPT_FLAGS="%optflags"
%endif

%install
mkdir -p %{buildroot}%{_sbindir} %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}%{_sysconfdir}/dhcpxd

cp -f filter %{buildroot}%{_sysconfdir}/dhcpxd
cp -df install/* %{buildroot}%{_sysconfdir}/dhcpxd

ln -sf /dev/log %{buildroot}%{_sysconfdir}/dhcpxd/out

install -m 700 dhcpxd %{buildroot}%{_sbindir}/dhcpxd
install -m 644 dhcpxd.8 %{buildroot}%{_mandir}/man8/dhcpxd.8

%files
%config(noreplace) %{_sysconfdir}/dhcpxd
%{_sbindir}/dhcpxd
%{_mandir}/man8/dhcpxd.8*


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 1.0.3-36.mga10
+ Revision: 2128644
- Rebuild for patchN deprecation

* Tue Mar 15 2022 umeabot <umeabot> 1.0.3-35.mga9
+ Revision: 1791825
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.0.3-34.mga8
+ Revision: 1511832
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.3-33.mga7
+ Revision: 1297438
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.0.3-32.mga6
+ Revision: 942839
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-31.mga5
+ Revision: 749279
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-30.mga5
+ Revision: 678734
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.3-29.mga4
+ Revision: 503805
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.3-28.mga3
+ Revision: 348764
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 20 2012 sander85 <sander85> 1.0.3-27.mga3
+ Revision: 296317
- usrmove

* Wed Mar 23 2011 steletch <steletch> 1.0.3-26.mga1
+ Revision: 75921
- Clean spec file
- imported package dhcpxd


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-26mdv2011.0
+ Revision: 604787
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-25mdv2010.1
+ Revision: 521076
- bump release
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-23mdv2010.0
+ Revision: 413352
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.3-22mdv2009.1
+ Revision: 350778
- rebuild

* Wed Jul 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-21mdv2009.0
+ Revision: 230715
- added P6 to make it compile
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 1.0.3-19mdv2008.1
+ Revision: 192015
- remove update-resolvdrv patch, it is useless and the patch backup file breaks dhcpxd (#39427)

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-18mdv2008.1
+ Revision: 149174
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Mar 17 2007 Olivier Blin <oblin@mandriva.com> 1.0.3-17mdv2007.1
+ Revision: 145443
- fix build (remove extra qualification)
- Import dhcpxd

* Wed Aug 24 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0.3-16mdk
- 64-bit & varargs fixes

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.3-15mdk
- Rebuild

